Modular XZ block (from 1/2" EMT to 1.25" tube)

It seems to me the primary load that these parts have to support is to hold the X rails perpendicular to the Z rails. In other words, the purple and red pieces must avoid twisting relative to each other.

The X tubes are not under any axial load, so it doesn’t require a lot to keep them from slipping axially. Covering the ends with a lip means that the tubes need to be exactly the right length (or a bit short) to get the wheels to track parallel. Since they are not under any load I’m not sure of the advantage.

Z tubes have a little bit of axial load and the opposite end is free, so I think a lip makes more sense there.

The X tubes need to support being pushed horizontally, which is naturally going to be stiff. Pushing the X tubes vertically is necessary for a stiff Z axis and also to prevent tipping in the Y-Z plane. For a stiff Z axis the transmission of the load from the X tubes to the Z lead screw needs to be decent, and for tipping it needs to transmit the load from vertical load on the X tubes to vertical load on the Z tubes, which is ultimately supported by the plate. These are relatively easy to make stiff.

The point is that the different modes of deflection are very uneven in their importance. I might not have identified the deflections correctly but I do think they are unequal. Maybe the green and yellow parts could be replaced by zip-ties and the red/purple parts deserve all the focus.

As for being adjustable or modular, I am still unclear on one thing, which is whether the tube spacing is going to remain the same so the other parts remain compatible (given their own adjustment) or do you have families of parts that go together and possibly a size-dependent plate?

1 Like

That’s really good insight! If you look at the axial X forces, they come from the belt and are all carried by the triangle on top of Orange. So Green and Purple have zero axial load.

Removing Green entirely and replacing it by zip ties might be workable. You’d still need a cradle (Purple), because in addition to the downward cutting forces (I’m assuming that nothing resists upward movement except for gravity), there’s also a twisting moment across the pair of X tubes.

Here’s the idea implemented. It uses hose clamps or hefty zip ties (hand drawn in red) to tightly bind the X tube to the Purple cradle.

The Purple cradle is aligned with the stack with some counterbore (or panhead) screws. By removing Green, the new bolt distance is <50mm, so M4 (or SAE #8) are easy to find.

What do you guys think, are we getting close?

Sigh… this is hard. Making things be adjustable in 3D adds so many layers of complexity. I am on the lookout for an idea which would allow for this to be completely adjustable, instead of only partially.

I currently feel that families of parts is best. We won’t know for sure until there’s some testing, but my hunch is that keeping the tubes as close together as possible makes for zero compromises.

I’m hopeful with some good choices the only part families would be the XZ modules-- the Y-plates and spindle plate would have multiple drill holes and therefore not require separate DXFs.

But if someone can figure out how to make the cradles adjustable and yet rigid with a fixed reference, I’m game!


P.S. Regarding the lips, I got them from Ryan’s original design. Giving it some thought, they still seem useful. If the tubes are cut to precise lengths (which is pretty easy to do since you can line them up against each other), then the lips go a long way to guaranteeing parallelism during a teardown/rebuild.

P.S.S. I think you might reexamine potential vertical forces transmitted to the Z tubes. The vertical forces all come from the lead screw, but the tubes themselves translate freely on the bearings.

Ah you’re right about the axial load on the Z tubes. It’s not really axially loaded – the tipping moment in the Y-Z plane is purely a bending of the Z tubes since they move freely in the rollers.

image

Another idea, as a brainstorm type idea, i.e. not necessarily ‘good’ idea but might stimulate some other thoughts, is using V-shaped blocks to accommodate a range of tube sizes, plus a non-symmetrical arrangement, like this:

This way the center-to-center distance of X tubes and Z tubes are invariant to tube size. The other parts would need to accommodate the varying diameter but could count on a fixed distance.

I haven’t thought through all the implications, this is just the starting point for an idea.

3 Likes

Hoo, boy, I got carried down a hole with this. A V isn’t the optimal shape for maintaining the distance from the bottom of the circle to a fixed reference, so I decided to figure out what is:

And then did the numeric integration in Julia:

R_0 = 17.9  # 1/2EMT trade size, in [mm]
R_final = 1.25*25.4  # 1" tube, in [mm]
dR = .1  # Step size, in [mm]

theta_D_0 = 30  # Initial tangent angle for "v"

# Convert to radians
theta_R_0 = theta_D_0 *pi/180

# Initialize x and y location
x_0 = R_0*sin(theta_R_0)
y_0 = R_0*(1-cos(theta_R_0))

# Initialize arrays
R = collect(R_0:dR:R_final)
numSteps = length(R)
x=zeros(numSteps)
y=zeros(numSteps)
theta_R = zeros(numSteps)

# Seed integration arrays
theta_R[1] = theta_R_0
R[1] = R_0
x[1] = x_0
y[1] = y_0

# Loop over the step sizes
for i=1:length(R)-1
    # Calculate numerical derivative
    dxdR = (1-cos(theta_R[i]))/(tan(theta_R[i]) - R[i] *sin(theta_R[i])^2*(sin(theta_R[i]) - cos(theta_R[i])))
    dydR = tan(theta_R[i]) * dxdR
    dthetadR = sin(theta_R[i]) *(sin(theta_R[i]) - cos(theta_R[i])) * dxdR

    # Crappy Euler integration, but it works!
    delta_x = dxdR * dR
    delta_y = dydR * dR
    delta_theta_R = dthetadR * dR
    
    x[i+1] = x[i] + delta_x
    y[i+1] = y[i] + delta_y
    theta_R[i+1] = theta_R[i] + delta_theta_R
end

plot(x=x,y=y)

Here’s the optimal shape, with x-y location in [mm]:

And the error, in [mm]:

I didn’t plot it against a V, but the math shows about 4mm of error by the time you get to 1.25". That adds up!

Is any of this worthwhile? Who knows! I didn’t exactly use it to make a new part yet, so :stuck_out_tongue:

1 Like

Alright! I’m not the only one who does algebra for fun on the weekend!

And you’re right that the bottom edge of the circle is not at a fixed location as the diameter changes.

Empirically (empirically in simulation) for a 90 degree V I’m seeing between 1 and 2 mm of difference between 1 inch and 1.25 inches. The center of the circle should be r * sqrt(2) away from the vertex, and then the bottom edge would be r away from that, so the distance between the vertex and the bottom edge should be r * (sqrt(2) - 1), or about r * 0.4142. For a difference of 0.25 inches in diameter, the radius would differ by 0.125 inches, which is 3.175 mm. The bottom edge position would differ by 3.175 * 0.4142 or 1.3 mm.

As for an alternative shape to reduce the position of the bottom edge, I’m not sure a shape exists because for two circles to coincide at the bottom edge there are no other points where the small circle can be supported that are not inside the larger circle.

Considering circles of varying radii which coincide at the bottom edge, one could construct the locus of points tangent at a fixed angle, but these points don’t produce a surface where all the circles can rest. The larger circles can’t reach the wider points because they would collide with the narrower ones.

I doubt this is equivalent to your solution because it is more direct, but qualitatively it looks similar.

If you do need a fixed distance, say for a fixed clearance between the tubes and the plates for example, I think the only way is to support it at that bottom edge, which is also possible but no longer symmetrical about the Y axis:

As for if it is worthwhile, hey don’t let it stop you from having fun. And maybe it is or maybe it feeds into something that is.

It works, so long as as the tubes are able to pass through walls.

Pesky reality.

I think what would need to happen is a flat contact point at the 0 degree station, and some kind of screw adjustment at two other stations, e.g. ±30 degrees. This would capture the tube by providing three points of contact, one of which is a known reference.

However, that could prove to be very fiddly. Tuning those contact points will be challenging because they will point load a thin-walled tube. I’m not sure it’s worth the cost vs a modular approach, where we can tune the tube placement while maintaining good fit.

I have incorporated feedback. This thing looks like it needs some lasers now…

I built this new XZ system using zip ties (or some other appropriate flexible tensioning element) to clamp the tubes. There are now four vertical rods which serve as posts to anchor zip ties. These rods are metal (they can just be screws, threaded rods, or hollow brass tubes), and because they are firmly embedded in the center span I believe I can really turn up the clamping forces. These posts can be used for anchoring all four tubes.

In addition, I kept the original bolt through-holes, but these might actually no longer be necessary if the zip-tie approach can make things stiff enough. I’m not optimistic, but it’s easy enough to try that once it’s set up I’ll run an experiment with and without bolts.

Lastly, the z-tube CAD now automatically places it in the correct location so that no adjustment is necessary on the y-plate. The screenshot shows a version with 1/2"EMT for Z and 1"EMT for X, so there’s quite a stark difference between the two.

Thoughts?

Filled with concrete?

1 Like

Received the printed parts:

Unfortunately, the incorrect configuration got printed, so I will have to wait on some new clamps. But the upside is that the middle span doesn’t need to be swapped out, so the printing effort is low. Score one for modularity!

One thing to report is that the center span is super stiff. I think it might take some engineering to get the overall assembly to be equally stiff, but it might not actually matter. Once the first model is together, I’ll see if there’s any appreciable flex.

I also need to buy some hardware, I forgot to make a purchase on some long M4 (or SAE #8) bolts. So it’ll be another week before this part is ready for a test fit.

3 Likes

Finally, my access to 3D printers is coming back slowly but surely. I just got my first part off the MarkForged and I think that hose clamps (aka jubilee clips) are the way to go for this. They’re strong, light, and make for a very stiff structure.

Here’s the updated model, which dispenses completely of all bolts and only uses two hose clamps like you’d find at any hardware store (likely in the ductwork section).

  • Because the metal fully crosses the assembly, it stiffens the entire part. Before, the screws stopped when they entered the middle section, leaving a “gap” in the metal superstructure.
  • The gentle arc ensures that the hose clamp lateral pressures are well distributed
  • The gentle arc also helps give lateral stability to the overall assembly.
  • The tabs are to retain the hose clamp for ease of assembly.

The only concern I have is that there are no features to prevent the X and Z tube from rotating relative to each other. For the other block interfaces, there are always alignment features designed to prevent rotation:

However, the mating between the Z and X blocks is perfectly smooth, and because those mating surfaces are the respective bottoms when printing, there’s no ability to print in features.

Advice on how to approach this? I’ve considered:

  • adding a hole into which a rod can be slid internally
  • adding a groove along the outside which can accept an external piece of flat metal or wood
  • gluing them together at the faces
  • adding an internal square pattern and printing the corresponding part which would function like a dovetail.

Thoughts?

Maybe the red and green parts could be a single part?

The red portion would have overhangs if it were printed with the X axis vertical, but you wouldn’t have to enclose the Z tube with a full 180 degrees like you do now. The MPCNC Burly rollers for example grab the tube by less than half the tube circumference and have a printable 45 degree overhang.

1 Like

That’s an intriguing idea. I am somewhat concerned about printing in such a way that the weak inter-layer orientation is aligned with the Z tube. I don’t have a strong notion about how high the forces are, and whether they could conspire with vibration to ultimately cause delamination of the print.

Is there real-world experience with aligning the layers in this manner?

Success! It was a bit persnickety to assemble the first time, because the middle section didn’t have any retainers. I’ve fixed that for the next print.



I’m very pleased with the rigidity, and everything works as it should. You can really clamp down hard and the center span has no problem supporting the load.

I’m still a little unsure of the best way to align the x-cradles with the z-clamps. There has to be some alignment which is more rigid than friction between two PLA blocks. The loads aren’t high, but if the system ever got out of balance you could get some trapezoid error across the width of the CNC.

I gave some thought to @jamiek’s idea, and I’m not convinced I can pull it off, plus we lose modularity. So I’m thinking maybe the best thing is some small wood screws. These features would be very easy to print and assemble. They’d be internal to the structure and so thus invisible. The main issue is that consistently sourcing wood screws is possibly a lot harder than machine screws.

Another possibility is double-sided masking tape, which is similar to gluing, I guess. And possibly just as hard to undo when there is the inevitable assembly misalignment. So I’m not a huge fan.

Thoughts?

1 Like

You can print that as one piece if you change the shape a tiny bit, if you really wanted to keep it multiple pieces you can make the connection like the primo corners and leg clamps.

1 Like

Unfortunately if it’s printed as one piece, it would lose modularity. That’s not a big end-user problem, but it is an issue for stocking parts.

I think with the primo you’re referring to how the clamps work like a bike seat-post tube? https://docs.v1engineering.com/mpcnc/Pbase/#legs-and-feet

On a hunch, I tried inserting a piece of notebook paper between those two planes. It worked great! I suspect that PLA-PLA is slippery and it’s too hard to mold into an interference fit. The paper seems to be soft enough and grabby enough to work. The joint now only slips under great load, which is probably comparable to the load at which a bolted joint would slip.

I’m going to print up the other side with my fixes, as well as some material reduction changes, and then maybe it’ll be ready for assembly. The true test is whether it works with the new bearing blocks, but all of the other original LowRider2 printed parts.

1 Like

In what way, lots of center pieces and different end caps vs just different complete brackets? Do you plan on selling these? If you do keeping track of one piece vs three is always easier.

No the printed shape of the corner bottoms and leg locks, careful geometry that interlocks and is printed in two different orientations.

I’m just looking at your project. Regarding the long hardware, an alternative approach would be 4 hex coupling nuts at the midpoint of the sandwich with short tension bolts from both ends.
If the nuts are press fitted you basically have the single center piece that was suggested earlier in the thread.

Going back to when I started this design, I figured it would a useful contribution if you wanted to do a LowRider3. I recall that you were having trouble finding a way to consistently source inexpensive and good quality tubing worldwide. So the driving goal is to allow any tube size between 1/2" EMT and 1.25" OD tube, and at the same time not to require specialized parts or industrial-grade printers.

In addition to meeting the main goal, the result was a structure which:

  • is many times stiffer in torsion about the long x-axis (but less stiff in the short z-)
  • uses less plastic (I think?)
  • is lighter and has lower inertia
  • clamps an order of magnitude tighter, which means less chance of slipping or chattering at the joints.
  • all parts are printed in their optimally strongest and stiffest orientation

The parts are all generic, and the modularity allows for field upgrades in case someone wants to try a weirdly-sized steel tube along one axis. Heck, you don’t even need the same tube size from side to side (although I don’t honestly see the use case for having two differently-sized x-tubes)

Whether this is, in fact, useful to v3 will be your call. But it was a fun trip and I’m very pleased with the outcome.

This, right? https://www.v1engineering.com/wp-content/uploads/2020/06/corner-bottom-scaled.jpg

Intriguing! The challenging difference is that the x-cradle and the z-outer clamp both have two precision faces. I think if the x-cradle and z-cradle are turned on their sides during printing, that could allow easy high-accuracy printing.

The downside of turning them on their side is, IIUC, a higher chance of warping, since these objects will be tall but thin.

I’ll keep that in mind in case I notice any kind of slipping problem. It would be nice to lock things in place, but thanks to the clamps I have less slippage than I would if I had used bolts. Time and experience will tell if trapezoidal slipping is a problem which needs addressing or not, but my hunch is that this problem is solved.

That’s a good idea. I think the hose clamps give a better result, though. The downside of bolts is that the head of the bolt rides on plastic, greatly limiting the amount of pressure. Plus, I would have 16 screws to adjust down (right now I only have two). Definitely something to keep in mind, though.

With the hose clamps, it’s awesome just how much you can tighten down. All the plastic is in compression in all axes, and so based on what I’m seeing here it’s entirely possible that the hose clamp would break before the plastic cracks. If that’s the case, there’s room for further optimization in plastic usage.

Is threadlock needed on the hose clamp adjustment? There is a LOT of vibration while milling…

I would suggest safety-wiring them because it’s easier to undo and redo. I safety-wire the clamps on my airplane, it has a high-power single-cylinder engine which vibrates the crap out of everything.

Here’s how to safety wire hose clamps:

It’s also wise to cut off excess hose clamp tail. According to my airplane mechanic, anything longer than 2-3cm can flap around and cause a fatigue failure inside the worm screw.

But once you do those two things, hose clamps are incredibly reliable and will work in high-vibration environments for decades.

3 Likes